# Class: AbstractTextField

## AbstractTextField

#### new AbstractTextField()

Source:
  - ui/base/abstract-text-field.js, line 7

### Extends

- AbstractControl

### Members

#### (nullable) converter :Converter

An optional converter for transforming the `value` into the corresponding rendered text. Converters are called at time of draw.

##### Type:

- Converter

Default Value:
  - null
Source:
  - ui/base/abstract-text-field.js, line 105

### Events

#### action

Dispatched when the textfield is activated when the user presses enter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | Event |

Source:
  - ui/base/abstract-text-field.js, line 13

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18